Perform a verification

You can send a Two Factor Authentication very easily just by specifying the recipient, the type of the message and the method that the verification will be sent. The message type that is currently supported is "code" which generates a numeric only code with the specified number of digits. The supported methods are "sms" and "voice", so the specified recipient must be a valid mobile or landline (for voice) number. All optional parameters that are required by 2Step are taken from your application settings which can be configured through the Routee web console. This is a paid service. For pricing check here.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

RESPONSE PARAMETERS

KEYDESCRIPTION
trackingIdThe tracking id used to reference this specific verification.
statusThe status of the verification.
updatedAtThe last time this verification was updated.
maxRetriesThe number of retries only, the first try is not included.
expiresAtWhen will the verification expire.
timesTriedHow many tries were made by the user.

ERROR CODES

STATUSCODEDESCRIPTION
404404001001Account not found.
400400001009Insufficient Balance.
404404010002Application not found.
400400011001Invalid message template.
400400005000Sms contains invalid data.
Body Params
string
required

The method which will be used to send the 2step verification. Values: "sms", "voice".

string
required
Defaults to code

The type of the message. Value: "code".

string
required

The recipient that will receive the 2step verification. For sms method format with a '+' and country code e.g., +306948530920 (E.164 format).

string
required

The template of the message. It must contain a @@pin that will be replaced by the generated code.

string

If the template is for example '@@name your code is @@pin' and the argument has a property name: 'Nick' the message will be 'Nick your code is 4232'. Note that if the template contains a @@ placeholder and a value is not present in the arguments property it will stay as is.

string

Country in ISO-3166-1 alpha 2 format (GR, US etc.). The country to use in order to select a translated template (if defined in Routee web interface)

string

The senderId that will be set when sending the SMS

int32

How many seconds this verification will remain active. After that time passes the verification status will be Expired.

int32

Defines the number of times the user can re-confirm the verification before the verification changes its state to Failed.

int32

The number of digits of the generated random numeric code.

restrictions
object

[OPTIONAL] Provide the registered Content Template ID and Principal Entity ID to ensure the message is not rejected by TRAI regulations.

Headers
string
required
Defaults to application/json

application/json

string
required
Defaults to Bearer {access_token}

Bearer {access_token}

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json